#include <stdio.h>
#include <stdlib.h>
#include <string.h>         

#define size 255

void write_buffer(char read[], char write[]) {
    int i, j=1, strsize = strlen(read);
    write[0] = read[0];
    for (i=1; i<=strsize-1; i++) {                            
        if (! (read[i] == '-' && read[i-1] > 32 && read[i+1] > 32) ) {
            write[j] = read[i];
            j++;
        }
    }
    write[j] = '\0';
}

int main(int argc, char *arg[]) {
    FILE *input, *output;
    int i=0;
    char read[size], write[size];
    if (argc != 3) {
        printf("Blogi argumentai.\n");
        return 0;
    }
    input = fopen(arg[1], "r");
    if (input == NULL) {
        printf("Nuskaitymo failas nerastas.");
        return 0;
    }
    output = fopen(arg[2], "w");
    if (output == NULL) {
        printf("Nepavyko sukurti irasymo faila.");
        return 0;
    }
    while (fgets(read, size, input)) {
        write_buffer(read, write);
        fprintf(output, "%s", write);
    }
    fclose(input);
    fclose(output);

    return 0;
}